cURL
curl "https://api.particle.pro/v1/embed/clips/{id}"{
"audio_url": "<string>",
"duration_seconds": 123,
"title": "<string>",
"intro_statement": "<string>",
"podcast_artwork_url": "<string>",
"podcast_link": "<string>",
"podcast_name": "<string>",
"published": "<string>",
"speaker_name": "<string>",
"speakers": {},
"story_color_dominant": "<string>",
"story_url": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Embed
Get clip embed
Returns a minimal public representation of a clip for embed rendering.
GET
/
v1
/
embed
/
clips
/
{id}
cURL
curl "https://api.particle.pro/v1/embed/clips/{id}"{
"audio_url": "<string>",
"duration_seconds": 123,
"title": "<string>",
"intro_statement": "<string>",
"podcast_artwork_url": "<string>",
"podcast_link": "<string>",
"podcast_name": "<string>",
"published": "<string>",
"speaker_name": "<string>",
"speakers": {},
"story_color_dominant": "<string>",
"story_url": "<string>"
}{
"detail": "Property foo is required but is missing.",
"error_code": "<string>",
"errors": [
{
"location": "<string>",
"message": "<string>",
"value": "<unknown>"
}
],
"instance": "https://example.com/error-log/abc123",
"resolve": {
"message": "<string>",
"action": "<string>",
"endpoint": "<string>",
"method": "<string>",
"url": "<string>"
},
"status": 400,
"title": "Bad Request",
"type": "https://example.com/errors/example"
}Path Parameters
Clip ID
Response
OK
Direct audio URL
Clip duration
Clip title
Hook text for the embed card
Podcast cover image URL
Apple Podcasts or podcast URL
Podcast title
Episode publish date as short relative string
Primary speaker name
Speaker map keyed by speaker_id
Show child attributes
Show child attributes
Dominant color hex from the story header image
Link to the story this clip is from
Was this page helpful?